function Gr=OtherPlot(s,G)
imshow(G,[])
hold on
phi = linspace(0,2*pi,50);
cosphi = cos(phi);
sinphi = sin(phi);

for k = 1:length(s)
    if isempty(s(k).Centroid)
    else
        xbar = s(k).Centroid(1);
        ybar = s(k).Centroid(2);
        a = s(k).MajorAxisLength/2;
        b = s(k).MinorAxisLength/2;
        theta = pi*s(k).Orientation/180;
        R = [ cos(theta)   sin(theta)
            -sin(theta)   cos(theta)];
        xy = [a*cosphi; b*sinphi];
        xy = R*xy;
        x = xy(1,:) + xbar;
        y = xy(2,:) + ybar;
        plot(x,y,'color',[1 0 0 0.5],'LineWidth',0.25);
        text(xbar+15,ybar+15,num2str(k),'HorizontalAlignment','center','Color','White','FontSize',8)
    end
end
%Gr = imresize(getframe(gcf),0.5);
Gr=getframe(gcf);
Gr=Gr.cdata;
%Gr=imresize(Gr,0.5);
hold off
end